Users
Create and manage users.
accept: application/json;v=1
authorization: Bearer {{API_KEY}}
content-type: application/jsonDeprecated. The email address of the user. Do not set this field in new integrations.
A unique token for the user provided by the partner. Must not contain email addresses or other PII.
unique-user-tokenThe user's sex.
malePossible values: The user's geographical region.
north_americaPossible values: The user's U.S. state of residence, if applicable.
CaliforniaThe user's birth date (ISO date, format YYYY-MM-DD).
1990-01-01Indicates whether the user has consented to their data being used for research.
trueThe unique ID of the user in the Prism Hosted API.
unique-user-idThe user's sex..
malePossible values: The user's geographical region.
north_americaPossible values: The user's U.S. state of residence, if applicable.
CaliforniaThe user's birth date (ISO date, format YYYY-MM-DD).
1990-01-01A unique token for the user provided by the partner. Must not contain email addresses or other PII.
unique-user-tokenDeprecated. The email address of the user. Do not set this field in new integrations.
Indicates whether the user has consented to their data being used for research.
truePOST /users HTTP/1.1
Host: api.hosted.prismlabs.tech
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 311
{
"email": "",
"token": "unique-user-token",
"weight": {
"value": 80,
"unit": "kg"
},
"targetWeight": {
"value": 80,
"unit": "kg"
},
"height": {
"value": 1.8,
"unit": "m"
},
"sex": "male",
"region": "north_america",
"usaResidence": "California",
"birthDate": "1990-01-01",
"researchConsent": true,
"termsOfService": {
"accepted": true,
"version": "1"
}
}{
"id": "unique-user-id",
"sex": "male",
"region": "north_america",
"usaResidence": "California",
"birthDate": "1990-01-01",
"weight": {
"value": 80,
"unit": "kg"
},
"targetWeight": {
"value": 70,
"unit": "kg"
},
"height": {
"value": 1.8,
"unit": "m"
},
"token": "unique-user-token",
"email": "",
"researchConsent": true
}A unique token for the user provided by the partner. It must not contain an email address or any other PII.
unique-user-tokenThe unit system in which values will be returned.
The unique ID of the user in the Prism Hosted API.
unique-user-idThe user's sex..
malePossible values: The user's geographical region.
north_americaPossible values: The user's U.S. state of residence, if applicable.
CaliforniaThe user's birth date (ISO date, format YYYY-MM-DD).
1990-01-01A unique token for the user provided by the partner. Must not contain email addresses or other PII.
unique-user-tokenDeprecated. The email address of the user. Do not set this field in new integrations.
Indicates whether the user has consented to their data being used for research.
trueGET /users/{token} HTTP/1.1
Host: api.hosted.prismlabs.tech
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "unique-user-id",
"sex": "male",
"region": "north_america",
"usaResidence": "California",
"birthDate": "1990-01-01",
"weight": {
"value": 80,
"unit": "kg"
},
"targetWeight": {
"value": 70,
"unit": "kg"
},
"height": {
"value": 1.8,
"unit": "m"
},
"token": "unique-user-token",
"email": "",
"researchConsent": true
}A unique token for the user provided by the partner. It must not contain an email address or any other PII.
unique-user-tokenThe unique ID of the user in the Prism Hosted API.
unique-user-idThe user's sex..
malePossible values: The user's geographical region.
north_americaPossible values: The user's U.S. state of residence, if applicable.
CaliforniaThe user's birth date (ISO date, format YYYY-MM-DD).
1990-01-01A unique token for the user provided by the partner. Must not contain email addresses or other PII.
unique-user-tokenDeprecated. The email address of the user. Do not set this field in new integrations.
Indicates whether the user has consented to their data being used for research.
trueDELETE /users/{token} HTTP/1.1
Host: api.hosted.prismlabs.tech
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "unique-user-id",
"sex": "male",
"region": "north_america",
"usaResidence": "California",
"birthDate": "1990-01-01",
"weight": {
"value": 80,
"unit": "kg"
},
"targetWeight": {
"value": 70,
"unit": "kg"
},
"height": {
"value": 1.8,
"unit": "m"
},
"token": "unique-user-token",
"email": "",
"researchConsent": true
}A unique token for the user provided by the partner. It must not contain an email address or any other PII.
unique-user-tokenDeprecated. The email address of the user. Do not set this field in new integrations.
A unique token for the user provided by the partner. Must not contain email addresses or other PII.
unique-user-tokenThe user's sex.
malePossible values: The user's geographical region.
north_americaPossible values: The user's U.S. state of residence, if applicable.
CaliforniaThe user's birth date (ISO date, format YYYY-MM-DD).
1990-01-01Indicates whether the user has consented to their data being used for research.
trueThe unique ID of the user in the Prism Hosted API.
unique-user-idThe user's sex..
malePossible values: The user's geographical region.
north_americaPossible values: The user's U.S. state of residence, if applicable.
CaliforniaThe user's birth date (ISO date, format YYYY-MM-DD).
1990-01-01A unique token for the user provided by the partner. Must not contain email addresses or other PII.
unique-user-tokenDeprecated. The email address of the user. Do not set this field in new integrations.
Indicates whether the user has consented to their data being used for research.
truePATCH /users/{token} HTTP/1.1
Host: api.hosted.prismlabs.tech
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 262
{
"email": "",
"token": "unique-user-token",
"weight": {
"value": 80,
"unit": "kg"
},
"targetWeight": {
"value": 80,
"unit": "kg"
},
"height": {
"value": 1.8,
"unit": "m"
},
"sex": "male",
"region": "north_america",
"usaResidence": "California",
"birthDate": "1990-01-01",
"researchConsent": true
}{
"id": "unique-user-id",
"sex": "male",
"region": "north_america",
"usaResidence": "California",
"birthDate": "1990-01-01",
"weight": {
"value": 80,
"unit": "kg"
},
"targetWeight": {
"value": 70,
"unit": "kg"
},
"height": {
"value": 1.8,
"unit": "m"
},
"token": "unique-user-token",
"email": "",
"researchConsent": true
}A unique token for the user provided by the partner. It must not contain an email address or any other PII.
unique-user-tokenGET /users/{token}/terms HTTP/1.1
Host: api.hosted.prismlabs.tech
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"userId": "text",
"userToken": "text",
"accepted": true,
"version": "text",
"acceptanceDate": "text"
}
]A unique token for the user provided by the partner. It must not contain an email address or any other PII.
unique-user-tokenPOST /users/{token}/terms HTTP/1.1
Host: api.hosted.prismlabs.tech
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 18
{
"version": "text"
}{
"userId": "text",
"userToken": "text",
"accepted": true,
"version": "text",
"acceptanceDate": "text"
}Last updated
